import type { RequestEvent } from "../core/event_request.js";
import type { BoundHandler } from "../tools/hook/hook.js";
export declare const DefaultGzipMiddlewareId = "pbGzip";
export type GzipConfig = {
    Level?: number;
    MinLength?: number;
};
export declare function Gzip(): BoundHandler<RequestEvent>;
export declare function GzipWithConfig(config: GzipConfig): BoundHandler<RequestEvent>;
